Subject: [lojban] Re: lervla valfendi preti

From: Nora LeChevalier <[email-masked]>
Date: Sun, 08 Dec 2002 18:27:12 -0500

At 05:53 PM 12/8/02 -0500, you wrote:
> > 3) If the piece ends in "y", check for some lerfu words: specifically,
> > the last lerfu word of a string, if it ends in a "y" (e.g. /abubycydy/
> > or /y'y/), must be followed by a pause:
> > a) If the "y" is preceded by a consonant, break off the consonant+"y"
> > as a resolved lerfu word (e.g. /abubycydy/ gives /abubycy/ unresolved,
> > and /dy/ resolved as a lerfu word). Continue breaking off any Cy
> > pieces as lerfu words if they're there (e.g. unresolved /abubycy/
> > gives unresolved /abuby/ + resolved /cy/; then /abuby/ gives un-
> > resolved /abu/ plus resolved /by/).
>
>Following this rule as written on {ladjAndy} would give {la djan dy}, which
>is wrong. The consonant has to be preceded by a vowel or at the beginning of
>a piece.

Since {ladjAndy} cannot occur in any valid lojban speech stream, it doesn't 
matter how it breaks down. This algorithm (though it DOES have problems), 
presumes a speech stream that is valid lojban.

-- 
mi'e noras [email-masked]
Nora LeChevalier